Import IPv4 Subnets page has IPv4/IPv6 Radio button enabled

11/22/2016 03:53 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Web Interface   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1378493 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4161

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1378493

Description of problem:

In 1.13 support was added for IPv6 subnets and the "Import subnets" option for a capsule was changed to "Import IPv4 subnets".

From my understanding, we are not supporting importing IPv6 subnets at this time

However the page it displays (see attached screen shot) still has a radio button for IPv4/IPv6

Version-Release number of selected component (if applicable):

How reproducible: Happens all the time

Steps to Reproduce:

1. Go to Infrastructure -> Smart Proxies

2. Under actions select "Import IPv4 subnets"

Actual results:

A radio button for IPv4/IPv6 appears and can be toggled.

Expected results:

The radio button should not appear, or be disabled so it can be toggled.

Related issues:

Related to Foreman - Feature #14661: Support IPv6 Subnets Closed 04/15/2016

Associated revisions

Revision a4dccd9b - 01/09/2017 01:38 PM - Shlomi Zadok

Fixes #17438 - Disable selecting IPv6 on import

Revision f2b4b14c - 01/30/2017 11:09 AM - Shlomi Zadok

Fixes #17438 - Disable selecting IPv6 on import

(cherry picked from commit a4dccd9b55f441172983de16ba60206b15490e81)

History

#1 - 11/22/2016 03:54 AM - Ohad Levy

- Subject changed from Import IPv4 Subnets page has IPv4/IPv6 Radio button enabled

 to Import IPv4 Subnets page has IPv4/IPv6 Radio button enabled

- Description updated

#2 - 11/22/2016 03:55 AM - Ohad Levy

- Related to Feature #14661: Support IPv6 Subnets added

#3 - 01/08/2017 08:44 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/4161 added

#4 - 01/09/2017 02:01 PM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a4dccd9b55f441172983de16ba60206b15490e81.

#5 - 01/10/2017 03:33 AM - Dominic Cleal

- translation missing: en.field_release set to 210
